#!/bin/sh

export PATH=$PATH:.:/var/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.:/var/lib

cd /tmp/

start_emu() {
	/var/bin/incubusCamd-0.90 &
	echo incubusCamd-0.90 > /var/etc/SifTeam/tmp/cam_active.sif
	echo incubusCamd-0.90 > /var/tmp/cam_active.sif
}

stop_emu() {
	kill `pidof incubusCamd-0.90`
	sleep 1
	killall -9 incubusCamd-0.90
	rm -rf /tmp/*.info
	rm -f /var/tmp/cam_active.sif
}

case "$1" in
	start)
		start_emu
		;;
	stop)
		stop_emu
		;;
	restart)
		$0 stop
		sleep 5
		$0 start
		;;
	*)
		echo "usage: {start|stop|restart}"
		;;
esac

exit 0
